## pyresample 1.1.3

=== requirements.txt ===
git+https://github.com/matplotlib/matplotlib.git
git+https://github.com/matplotlib/basemap.git

## pyresample 1.1.0

=== debian/changelog ===
pyresample (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #720529, #720627)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Jun 2014 07:58:53 +0000

=== debian/control ===
Source: pyresample
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0),
               python-all,
               python-setuptools,
               python-numpy,
               python-scipy,
               python-pyproj,
               python-configobj,
               python-sphinx,
               python-nose,
               python-mpltoolkits.basemap
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/pyresample/
Vcs-Git: http://anonscm.debian.org/git/pkg-grass/pyresample.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyresample.git;a=summary
XS-Testsuite: autopkgtest

Package: python-pyresample
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-scipy
Provides: ${python:Provides}
Recommends: python-numexpr,
            python-mpltoolkits.basemap,
            python-pykdtree
Suggests: python-pyresample-doc
Description: Resampling of remote sensing data in Python
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.

Package: python-pyresample-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: Resampling of remote sensing data in Python (documentation)
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This is the common documentation package.

Package: python-pyresample-test
Architecture: all
Depends: ${misc:Depends}, python-pyresample
Description: Resampling of remote sensing data in Python (test suite)
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This package contains the test suite (and related data) for pyresample.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY2VERS = $(shell pyversions -r -v)


%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils


override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) -C docs html


override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. python$$py /usr/bin/nosetests -v -w $(CURDIR)/test; \
	done
endif


override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	$(MAKE) -C docs clean
	$(RM) -r build

=== debian/tests/control ===
Tests: python2
Depends: @builddeps@, python-pyresample, python-pyresample-test, python-all

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/pyresample/downloads/list .*/pyresample-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
#http://code.google.com/p/pyresample/downloads/list?can=1 .*/pyresample-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyresample 1.1.3

=== debian/changelog ===
pyresample (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file
  * Updated copyright file: upstream license change form GPL to LGPL
  * Update upstream project home page
  * Standards version updated to 3.9.6 (no changes)
  * debian/patches
    - drop longer necessary patches
    - new patch for skipping tests that require basemap when it is
      not abailable
    - new patch for fixing sphinx doc building
    - new patch for fixing proj4 initialization in unittests (closes: #792068)
  * debian/control
    - removed Provides field from the binary package section in the
      control file. It is not necessary
    - added an explicit build dependency from dh-python
    - updated package dependencies
    - drop deprecated parameter XS-Testsuite
    - fix Vcs-Browser field format
  * debian/ruels
    - fix test invocation
  * New package for Python 3
  * Switch to pybuild build system
  * Fix doc build

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jul 2015 10:50:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,46 @@
 Source: pyresample
-Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Section: python
+Testsuite: autopkgtest
+Priority: optional
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>= 9.0.0),
+               dh-python,
                python-all,
+               python3-all,
                python-setuptools,
+               python3-setuptools,
                python-numpy,
-               python-scipy,
+               python3-numpy,
+               python-pykdtree,
+               python3-scipy,
                python-pyproj,
+               python3-pyproj,
                python-configobj,
+               python3-configobj,
                python-sphinx,
                python-nose,
+               python3-nose,
                python-mpltoolkits.basemap
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/pyresample/
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyresample.git
 Vcs-Git: http://anonscm.debian.org/git/pkg-grass/pyresample.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/pyresample.git;a=summary
-XS-Testsuite: autopkgtest
+Homepage: https://github.com/pytroll/pyresample
 
 Package: python-pyresample
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
-         python-scipy
-Provides: ${python:Provides}
+         python-configobj,
+         python-numpy,
+         python-pyproj,
+         python-pykdtree | python-scipy
 Recommends: python-numexpr,
-            python-mpltoolkits.basemap,
-            python-pykdtree
+            python-mpltoolkits.basemap
 Suggests: python-pyresample-doc
-Description: Resampling of remote sensing data in Python
+Description: Resampling of remote sensing data in Python 2
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data
  (e.g. geostationary satellites) and swath data (polar orbiting
@@ -37,6 +48,29 @@
  .
  Pyresample can use multiple processor cores for resampling.
  Pyresample supports masked arrays.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-pyresample
+Architecture: all
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-configobj,
+         python3-numpy,
+         python3-pyproj,
+         python3-scipy
+Recommends: python3-numexpr
+Suggests: python-pyresample-doc
+Description: Resampling of remote sensing data in Python 3
+ Pyresample is a Python package for resampling (reprojection) of earth
+ observing satellite data. It handles both resampling of gridded data
+ (e.g. geostationary satellites) and swath data (polar orbiting
+ satellites).
+ .
+ Pyresample can use multiple processor cores for resampling.
+ Pyresample supports masked arrays.
+ .
+ This is the Python 3 version of the package.
 
 Package: python-pyresample-doc
 Architecture: all
@@ -57,7 +91,8 @@
 
 Package: python-pyresample-test
 Architecture: all
-Depends: ${misc:Depends}, python-pyresample
+Depends: ${misc:Depends},
+         python-pyresample
 Description: Resampling of remote sensing data in Python (test suite)
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data
@@ -68,4 +103,3 @@
  Pyresample supports masked arrays.
  .
  This package contains the test suite (and related data) for pyresample.
-

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyresample-$1\.tar\.gz/ \
  https://github.com/pytroll/pyresample/tags .*/v?(\d\S*)\.tar\.gz

## pyresample 1.1.6

=== debian/changelog ===
pyresample (1.1.6-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/gbp.conf file added
  * debian/control
    - standard version bumped to 3.9.7 (no change)
    - updated VCS URL
    - update build dependencies
  * debian/patches
    - removed patch for skipping basemap tests (no longer necessary)
    - refresh remaining patches
    - new patch for skipping tests that fail with python 3.
      See also upstream bug https://github.com/pytroll/pyresample/issues/36
  * watch file updated 

  [ Bas Couwenberg ]
  * debian/copyright
    - Group copyright by license

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Feb 2016 17:30:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,6 @@
 Section: python
 Testsuite: autopkgtest
 Priority: optional
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
                python-all,
@@ -21,13 +19,16 @@
                python-configobj,
                python3-configobj,
                python-sphinx,
-               python-nose,
-               python3-nose,
-               python-mpltoolkits.basemap
-Standards-Version: 3.9.6
+               python-numexpr,
+               python3-numexpr,
+               python-mpltoolkits.basemap,
+               python3-mpltoolkits.basemap
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyresample.git
-Vcs-Git: http://anonscm.debian.org/git/pkg-grass/pyresample.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-pyresample
 Architecture: all
@@ -59,7 +60,8 @@
          python3-numpy,
          python3-pyproj,
          python3-scipy
-Recommends: python3-numexpr
+Recommends: python3-numexpr,
+            python3-mpltoolkits.basemap
 Suggests: python-pyresample-doc
 Description: Resampling of remote sensing data in Python 3
  Pyresample is a Python package for resampling (reprojection) of earth

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=pyresample


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif


override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	$(MAKE) -C docs clean
	$(RM) -r build


override_dh_installchangelogs:
	dh_installchangelogs README.md

=== debian/tests/control ===
Tests: python2
Depends: @builddeps@, python-pyresample, python-pyresample-test, python-all

Tests: python3
Depends: @builddeps@, python3-pyresample, python-pyresample-test, python3-all

## pyresample 1.2.4

=== debian/changelog ===
pyresample (1.2.4-2) unstable; urgency=medium

  * debian/parches
    - New 0004-Use-cmath.patch to use the cmath header instead of math.h
      (Closes: #830447)
    - Refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jul 2016 10:38:15 +0000

pyresample (1.2.4-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Override dh_python{2,3} to call dh_numpy{,3} too.
  * Drop .0 from GPL-3 license shortname.
  * Update dh_python{2,3} & dh_numpy{,3} calls to act on specific package.

  [ Antonio Valentino ]
  * New upstream release
  * Refresh all patches
  * debian/rules
    - enable parallel build
    - enable hardening flags
  * debian/copyright
    - updated copyright file
    - fixed DEP-5 url
  * debian/control
    - standard version bumped to 3.9.8 (no change)
    - depends on pykdtree >= 1.1.1
    - add dependency from pykdtree to the Python 3 package
    - switch to architectire "any", now the package contains a binary
      extension
    - add build dependency from python{,3}-all-dev and cython

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Jul 2016 17:15:53 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 9.0.0),
                dh-python,
-               python-all,
-               python3-all,
+               python-all-dev,
+               python3-all-dev,
                python-setuptools,
                python3-setuptools,
                python-numpy,
                python3-numpy,
-               python-pykdtree,
+               python-pykdtree (>= 1.1.1),
+               python3-pykdtree (>= 1.1.1),
                python3-scipy,
                python-pyproj,
                python3-pyproj,
@@ -22,8 +23,10 @@
                python-numexpr,
                python3-numexpr,
                python-mpltoolkits.basemap,
-               python3-mpltoolkits.basemap
-Standards-Version: 3.9.7
+               python3-mpltoolkits.basemap,
+               cython,
+               cython3
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyresample.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
@@ -31,13 +34,14 @@
 X-Python3-Version: >= 3.2
 
 Package: python-pyresample
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          ${python:Depends},
+         ${shlibs:Depends},
          python-configobj,
          python-numpy,
          python-pyproj,
-         python-pykdtree | python-scipy
+         python-pykdtree (>= 1.1.1) | python-scipy
 Recommends: python-numexpr,
             python-mpltoolkits.basemap
 Suggests: python-pyresample-doc
@@ -53,13 +57,14 @@
  This is the Python 2 version of the package.
 
 Package: python3-pyresample
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
          ${python3:Depends},
+         ${shlibs:Depends},
          python3-configobj,
          python3-numpy,
          python3-pyproj,
-         python3-scipy
+         python3-pykdtree (>= 1.1.1) | python3-scipy
 Recommends: python3-numexpr,
             python3-mpltoolkits.basemap
 Suggests: python-pyresample-doc
@@ -94,6 +99,7 @@
 Package: python-pyresample-test
 Architecture: all
 Depends: ${misc:Depends},
+         ${python:Depends},
          python-pyresample
 Description: Resampling of remote sensing data in Python (test suite)
  Pyresample is a Python package for resampling (reprojection) of earth

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,15 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+
 export PYBUILD_NAME=pyresample
 
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --parallel --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -25,3 +29,13 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs README.md
+
+
+override_dh_python2:
+	dh_python2 -ppython-pyresample -ppython-pyresample-test
+	dh_numpy -ppython-pyresample -ppython-pyresample-test
+
+
+override_dh_python3:
+	dh_python3 -ppython3-pyresample
+	dh_numpy3 -ppython3-pyresample

## pyresample 1.2.9

=== debian/changelog ===
pyresample (1.2.9-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Dec 2016 21:40:38 +0000

pyresample (1.2.8-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 07 Dec 2016 09:27:01 +0000

pyresample (1.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 16 Nov 2016 20:20:20 +0000

pyresample (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop 0003-fix-tests-for-mips.patch: applied upstream
  * Fix automatic testing with autopkgtest (closes: #840286)
    - install test data file in python-pyresample-test
    - drop sources from python-pyresample-test: already installed
      by other packages
  * debian/control
    - now python*-pyresample packages depend on python-pyresample-test
  * debian/rules
    - no longer override_dh_python2 for python-pyorbital-test

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Oct 2016 08:15:20 +0000

pyresample (1.2.5-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix test_custom_uncert and test_gauss_uncert for mips*.
    Thanks to Daniel Knezevic for the patch.
    (closes: #836733)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Sep 2016 13:18:07 +0200

pyresample (1.2.5-1) unstable; urgency=medium

  * new upstream release
  * debian/control
    - remove non necessary (build) dependency from scipy
    - pykdtree is naw a mandatory dependency
  * debian/parches
    - drop 0003-skip-nearest-resize-test.patch (no longer necessary)
    - drop 0004-Use-cmath.patch (no longer necessary)
    - refresh and renumber remanining patches
  * debian/copyright
    - update copyright file

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2016 09:47:40 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                python3-numpy,
                python-pykdtree (>= 1.1.1),
                python3-pykdtree (>= 1.1.1),
-               python3-scipy,
                python-pyproj,
                python3-pyproj,
                python-configobj,
@@ -41,7 +40,8 @@
          python-configobj,
          python-numpy,
          python-pyproj,
-         python-pykdtree (>= 1.1.1) | python-scipy
+         python-pykdtree (>= 1.1.1),
+         python-pyresample-test
 Recommends: python-numexpr,
             python-mpltoolkits.basemap
 Suggests: python-pyresample-doc
@@ -64,7 +64,8 @@
          python3-configobj,
          python3-numpy,
          python3-pyproj,
-         python3-pykdtree (>= 1.1.1) | python3-scipy
+         python3-pykdtree (>= 1.1.1),
+         python-pyresample-test
 Recommends: python3-numexpr,
             python3-mpltoolkits.basemap
 Suggests: python-pyresample-doc
@@ -98,9 +99,7 @@
 
 Package: python-pyresample-test
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-pyresample
+Depends: ${misc:Depends}
 Description: Resampling of remote sensing data in Python (test suite)
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data
@@ -110,4 +109,4 @@
  Pyresample can use multiple processor cores for resampling.
  Pyresample supports masked arrays.
  .
- This package contains the test suite (and related data) for pyresample.
+ This package contains the test data for pyresample.

=== debian/rules ===
--- 
+++ 
@@ -32,8 +32,8 @@
 
 
 override_dh_python2:
-	dh_python2 -ppython-pyresample -ppython-pyresample-test
-	dh_numpy -ppython-pyresample -ppython-pyresample-test
+	dh_python2 -ppython-pyresample
+	dh_numpy -ppython-pyresample
 
 
 override_dh_python3:

## pyresample 1.5.0

=== debian/changelog ===
pyresample (1.5.0-3build2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:41 +0000

pyresample (1.5.0-3build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:39:16 +0000

pyresample (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 21:36:52 +0200

pyresample (1.5.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control
    - drop X-Python-Version and X-Python3-Version fields
  * Fix documentation installaton to avoid duplicate files in the package

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.0.0, no changes.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 21 Jun 2017 05:52:48 +0000

pyresample (1.5.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - updated dependencies (pillow, pyyaml, mock)
    - pyresample no longer supports Python 2.6
  * debian/patches
    - refresh all patches
  * debian/test
    - depend on python*-mock

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jun 2017 12:02:21 +0200

pyresample (1.3.0-1) experimental; urgency=low

  * New upstream release
  * Update copyright file
  * Refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Mar 2017 08:04:39 +0000

=== debian/control ===
--- 
+++ 
@@ -21,16 +21,20 @@
                python-sphinx,
                python-numexpr,
                python3-numexpr,
+               python-yaml,
+               python3-yaml,
                python-mpltoolkits.basemap,
                python3-mpltoolkits.basemap,
+               python-pil,
+               python3-pil,
+               python-mock,
+               python3-mock,
                cython,
                cython3
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyresample.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-pyresample
 Architecture: any
@@ -40,9 +44,11 @@
          python-configobj,
          python-numpy,
          python-pyproj,
+         python-yaml,
          python-pykdtree (>= 1.1.1),
          python-pyresample-test
 Recommends: python-numexpr,
+            python-pil,
             python-mpltoolkits.basemap
 Suggests: python-pyresample-doc
 Description: Resampling of remote sensing data in Python 2
@@ -64,9 +70,11 @@
          python3-configobj,
          python3-numpy,
          python3-pyproj,
+         python3-yaml,
          python3-pykdtree (>= 1.1.1),
          python-pyresample-test
 Recommends: python3-numexpr,
+            python3-pil,
             python3-mpltoolkits.basemap
 Suggests: python-pyresample-doc
 Description: Resampling of remote sensing data in Python 3
@@ -99,7 +107,9 @@
 
 Package: python-pyresample-test
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         python-mock,
+         python3-mock
 Description: Resampling of remote sensing data in Python (test suite)
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 # Enable hardening build flags
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export PYBUILD_NAME=pyresample
 
@@ -18,6 +18,7 @@
 	dh_auto_build --buildsystem=pybuild
 ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	env PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
+	rm -rf docs/build/html/_static/images/
 endif

=== debian/tests/control ===
Tests: python2
Depends: @builddeps@, python-pyresample, python-pyresample-test, python-all, python-mock

Tests: python3
Depends: @builddeps@, python3-pyresample, python-pyresample-test, python3-all, python3-mock

## pyresample 1.8.1

=== requirements.txt ===
git+https://github.com/matplotlib/basemap.git

=== docs/requirements.txt ===
git+https://github.com/pytroll/pykdtree.git@pre-master

=== debian/changelog ===
pyresample (1.8.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * Update copyright file
  * debian/control
    - remove unnecessary versioned dependency from pykdtree
  * debian/rules
    - remove unnecessary dh argument: --parallel

  [ Bas Couwenberg ]
  * Add upstream metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Feb 2018 10:53:36 +0000

pyresample (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to v4.1.3 (no change)
  * Update compat version
  * debian/control
    - recommend dask
  * Drop debian/source.lintian-overrides: no longer necessary
  * New python3-pyresample.lintian-overrides for:
    python-package-depends-on-package-from-other-python-variant
  * debian/patches
    - drop 0003-fix-tests-on-big-endian-architectures.patch:
      applied upstream
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 05 Feb 2018 07:18:35 +0000

pyresample (1.7.1-3) unstable; urgency=medium

  * debian/control
    - remove build dependency form python2-xarray: it is not
      strictly necessary and causes problems with migration to
      testing
    - downgrade relation of python3-pyresample form python3-xarray
      to Suggerst

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Dec 2017 20:44:24 +0000

pyresample (1.7.1-2) unstable; urgency=medium

  * debian/control
    - recommend python3-xarray
  * debian/patches
    - new patch 0003-fix-tests-on-big-endian-architectures.patch (see also
      upstream issues https://github.com/pytroll/pyresample/pull/90 and
      https://github.com/pytroll/pyresample/pull/91

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Dec 2017 17:25:17 +0000

pyresample (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Standerd version bumped to 4.1.2 (no changes)
  * debiam/patches
    - refresh all patches
  * debian/control
    - mark python-pyresample-doc and python-pyresample-test
      as Multi-Arch foreign

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Dec 2017 13:39:27 +0000

pyresample (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to v4.1.1 (no change)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Oct 2017 07:46:10 +0000

pyresample (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to 4.1.0 (no change)
  * Refresh all patches
  * debian/control
    - build-depend on python3-sphinx instead of python-sphinx
    - remove un-necessary Testsuite: autopkgtest
  * new debian/source.lintian-overrides file.
    Suppress python-foo-but-no-python3-foo: the package only
    contains common test data

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Sep 2017 06:47:24 +0000

pyresample (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop dependenct from python3 mock (use the stdlib version)
    - add dependency from six
  * Refresh all patches
  * debian/rules
    - fix clean target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2017 11:41:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11.0.0),
                dh-python,
                python-all-dev,
                python3-all-dev,
@@ -12,13 +11,13 @@
                python3-setuptools,
                python-numpy,
                python3-numpy,
-               python-pykdtree (>= 1.1.1),
-               python3-pykdtree (>= 1.1.1),
+               python-pykdtree,
+               python3-pykdtree,
                python-pyproj,
                python3-pyproj,
                python-configobj,
                python3-configobj,
-               python-sphinx,
+               python3-sphinx,
                python-numexpr,
                python3-numexpr,
                python-yaml,
@@ -28,10 +27,11 @@
                python-pil,
                python3-pil,
                python-mock,
-               python3-mock,
+               python-six,
+               python3-six,
                cython,
                cython3
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyresample.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
@@ -45,7 +45,8 @@
          python-numpy,
          python-pyproj,
          python-yaml,
-         python-pykdtree (>= 1.1.1),
+         python-pykdtree,
+         python-six,
          python-pyresample-test
 Recommends: python-numexpr,
             python-pil,
@@ -71,12 +72,15 @@
          python3-numpy,
          python3-pyproj,
          python3-yaml,
-         python3-pykdtree (>= 1.1.1),
+         python3-pykdtree,
+         python3-six,
          python-pyresample-test
 Recommends: python3-numexpr,
             python3-pil,
-            python3-mpltoolkits.basemap
-Suggests: python-pyresample-doc
+            python3-mpltoolkits.basemap,
+            python3-dask
+Suggests: python-pyresample-doc,
+          python3-xarray
 Description: Resampling of remote sensing data in Python 3
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data
@@ -90,6 +94,7 @@
 
 Package: python-pyresample-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
@@ -107,9 +112,9 @@
 
 Package: python-pyresample-test
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
-         python-mock,
-         python3-mock
+         python-mock
 Description: Resampling of remote sensing data in Python (test suite)
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data

=== debian/tests/control ===
Tests: python2
Depends: @builddeps@, python-pyresample, python-pyresample-test, python-all, python-mock

Tests: python3
Depends: @builddeps@, python3-pyresample, python-pyresample-test, python3-all

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyresample)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyresample-$1.$2/ \
https://github.com/pytroll/pyresample/releases \
(?:.*?/)?(?:rel|v|pyresample)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyresample 1.8.2

=== debian/changelog ===
pyresample (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Mar 2018 17:14:09 +0000

## pyresample 1.8.3

=== debian/changelog ===
pyresample (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh all patches
  * debian/control
    - update Vcs-* fields to point to salsa

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Mar 2018 07:28:30 +0000

=== debian/control ===
--- 
+++ 
@@ -32,8 +32,8 @@
                cython,
                cython3
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/pyresample.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/pyresample.git
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
+Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
 
 Package: python-pyresample

## pyresample 1.10.1

=== debian/changelog ===
pyresample (1.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.5, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control
    - require pykdtree >= 1.3.1.
  * debian/patches
    - drop test_spherical.patch, applied upstrem.
    - refresh remaining patches.
    - new 0003-Skip-TestXArrayResamplerNN-if-dask-is-not-available.patch:
      skip tests requiring dask if dask is not available.
    - new 0004-Regenerate-cython-extensions.patch
      Fixes a FTBFS with Python 3.7 (Closes: #903530).
    - New debian/patches/0005-Fix-StopIteration-handling.patch.
      Fix StopIteration handling for compatibility with Python 3.7 and
      PEP 479. See also https://github.com/pytroll/pyresample/pull/134.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Jul 2018 11:50:40 +0000

pyresample (1.9.3-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix TestArc failure on some architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jun 2018 14:55:34 +0200

pyresample (1.9.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/patches
    - refresh all patches

  [ Bas Couwenberg ]
  * Update copyright years for Martin Raspaud.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 12 Jun 2018 05:56:36 +0000

pyresample (1.9.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.4, no changes.
  * Update copyright years for PyTroll Developers.
  * Fix typo in lintian override comment.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches
    - refresh all patches
  * debian/control
    - add build dependency for cartopy.
      For binary packages now cartopy is recommended,
      while basemap is only suggested
    - add dependency form scipy which is suggested by cartopy
      but is necessary for plotting
  * debian/copyright
    - update remove no longer necessaty entries for files in the appveyor
      folder

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Apr 2018 08:19:51 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                python3-setuptools,
                python-numpy,
                python3-numpy,
-               python-pykdtree,
-               python3-pykdtree,
+               python-pykdtree (>= 1.3.1),
+               python3-pykdtree (>= 1.3.1),
                python-pyproj,
                python3-pyproj,
                python-configobj,
@@ -22,6 +22,8 @@
                python3-numexpr,
                python-yaml,
                python3-yaml,
+               python-cartopy,
+               python3-cartopy,
                python-mpltoolkits.basemap,
                python3-mpltoolkits.basemap,
                python-pil,
@@ -29,9 +31,11 @@
                python-mock,
                python-six,
                python3-six,
+               python-scipy,
+               python3-scipy,
                cython,
                cython3
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
@@ -45,13 +49,15 @@
          python-numpy,
          python-pyproj,
          python-yaml,
-         python-pykdtree,
+         python-pykdtree (>= 1.3.1),
          python-six,
          python-pyresample-test
 Recommends: python-numexpr,
             python-pil,
-            python-mpltoolkits.basemap
-Suggests: python-pyresample-doc
+            python-cartopy,
+            python-scipy
+Suggests: python-pyresample-doc,
+          python-mpltoolkits.basemap
 Description: Resampling of remote sensing data in Python 2
  Pyresample is a Python package for resampling (reprojection) of earth
  observing satellite data. It handles both resampling of gridded data
@@ -72,14 +78,16 @@
          python3-numpy,
          python3-pyproj,
          python3-yaml,
-         python3-pykdtree,
+         python3-pykdtree (>= 1.3.1),
          python3-six,
          python-pyresample-test
 Recommends: python3-numexpr,
             python3-pil,
-            python3-mpltoolkits.basemap,
+            python3-cartopy,
+            python3-scipy,
             python3-dask
 Suggests: python-pyresample-doc,
+          python3-mpltoolkits.basemap,
           python3-xarray
 Description: Resampling of remote sensing data in Python 3
  Pyresample is a Python package for resampling (reprojection) of earth

## pyresample 1.10.3

=== debian/changelog ===
pyresample (1.10.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control
    - add dependency form rasterio
  * debian/patches
    - refresh all patches

  [ Bas Couwenberg ]
  * Replace tabs with spaces in control file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Dec 2018 20:10:19 +0000

pyresample (1.10.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * debian/patches
    - drop 0004-Regenerate-cython-extensions.patch and
      0005-Fix-StopIteration-handling.patch: applied upstream
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Oct 2018 18:31:56 +0000

=== debian/control ===
--- 
+++ 
@@ -33,9 +33,11 @@
                python3-six,
                python-scipy,
                python3-scipy,
+               python-rasterio,
+               python3-rasterio,
                cython,
                cython3
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
 Homepage: https://github.com/pytroll/pyresample
@@ -51,6 +53,7 @@
          python-yaml,
          python-pykdtree (>= 1.3.1),
          python-six,
+         python-rasterio,
          python-pyresample-test
 Recommends: python-numexpr,
             python-pil,
@@ -80,6 +83,7 @@
          python3-yaml,
          python3-pykdtree (>= 1.3.1),
          python3-six,
+         python3-rasterio,
          python-pyresample-test
 Recommends: python3-numexpr,
             python3-pil,

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 
 %:
-	dh $@ --parallel --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -25,7 +25,7 @@
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=pybuild
 	$(MAKE) -C docs clean
-	$(RM) -r build
+	$(RM) -r build pyresample.egg-info pyresample/ewa/*.so
 
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyresample)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyresample-$1.$2/ \
https://github.com/pytroll/pyresample/releases \
(?:.*?/archive/)?(?:rel|v|pyresample)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyresample 1.12.3

=== debian/changelog ===
pyresample (1.12.3-5) unstable; urgency=medium

  * Remove Python 2 form debian/tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Jul 2019 05:50:57 +0000

pyresample (1.12.3-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * Drop Python 2 support.
    (closes: #932621)

  [ Bas Couwenberg ]
  * Add ${python3:Provides} to arch: any packages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 15:29:47 +0000

pyresample (1.12.3-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * Drop build-dependency from python-xarray (Closes: #932509).
  * debian/patches:
    new debian/patches/0003-Make-xarray-optional-for-testing.patch
  * Set compat to 12.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Jul 2019 18:24:38 +0000

pyresample (1.12.3-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jul 2019 09:25:16 +0200

pyresample (1.12.3-1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refrsh all patches
  * Set distribution to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 10 Jul 2019 06:06:22 +0000

pyresample (1.12.0-1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0001-fix-doc-build.patch (applied upstream)
    - refresh and renumber remaining pathces
    - improve 0002-Skip-dask-related-tests-if-dask-is-not-available.patch
  * debian/control:
    - added dependencies from xarray and matplotlib

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Apr 2019 12:36:25 +0000

=== debian/control ===
Source: pyresample
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper (>= 12),
               dh-python,
               python3-all-dev,
               python3-cartopy,
               python3-configobj,
               python3-dask,
               python3-mpltoolkits.basemap,
               python3-numexpr,
               python3-numpy,
               python3-pil,
               python3-pykdtree (>= 1.3.1),
               python3-pyproj,
               python3-rasterio,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-xarray,
               python3-yaml
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyresample
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyresample.git
Homepage: https://github.com/pytroll/pyresample

Package: python3-pyresample
Architecture: any
Depends: python-pyresample-test,
         python3-configobj,
         python3-numpy,
         python3-pyproj,
         python3-pykdtree (>= 1.3.1),
         python3-rasterio,
         python3-six,
         python3-yaml,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: python3-cartopy,
            python3-dask,
            python3-matplotlib,
            python3-numexpr,
            python3-pil,
            python3-scipy,
            python3-xarray
Suggests: python-pyresample-doc,
          python3-mpltoolkits.basemap
Provides: ${python3:Provides}
Description: Resampling of remote sensing data in Python 3
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This is the Python 3 version of the package.

Package: python-pyresample-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: www-browser
Description: Resampling of remote sensing data in Python (documentation)
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This is the common documentation package.

Package: python-pyresample-test
Architecture: all
Multi-Arch: foreign
Depends: python3-mock,
         ${misc:Depends}
Description: Resampling of remote sensing data in Python (test suite)
 Pyresample is a Python package for resampling (reprojection) of earth
 observing satellite data. It handles both resampling of gridded data
 (e.g. geostationary satellites) and swath data (polar orbiting
 satellites).
 .
 Pyresample can use multiple processor cores for resampling.
 Pyresample supports masked arrays.
 .
 This package contains the test data for pyresample.
